Loading...
Searching...
No Matches
ForceFields::UFF::InversionContribsParams Struct Reference

`#include <Inversions.h>`

## Public Member Functions

| InversionContribsParams (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, int at2AtomicNum, bool isCBoundToO, double C0, double C1, double C2, double forceConstant=1.0)

## Public Attributes

unsigned int | idx1 {0}
| index of atom1 in the ForceField's positions
unsigned int | idx2 {0}
| index of atom2 in the ForceField's positions
unsigned int | idx3 {0}
| index of atom3 in the ForceField's positions
unsigned int | idx4 {0}
| index of atom4 in the ForceField's positions
int | at2AtomicNum {0}
| atomic number for atom 2
bool | isCBoundToO {false}
double | C0 {0.0}
| inversion coefficient 0
double | C1 {0.0}
| inversion coefficient 1
double | C2 {0.0}
| inversion coefficient 2
double | forceConstant {1.0}
| force constant

## Detailed Description

Definition at line 20 of file Inversions.h.

## Constructor & Destructor Documentation

## InversionContribsParams()

ForceFields::UFF::InversionContribsParams::InversionContribsParams | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | int | at2AtomicNum,
|  | bool | isCBoundToO,
|  | double | C0,
|  | double | C1,
|  | double | C2,
|  | double | forceConstant = 1.0 )

inline

Definition at line 32 of file Inversions.h.

References at2AtomicNum, C0, C1, C2, forceConstant, idx1, idx2, idx3, idx4, and isCBoundToO.

## Member Data Documentation

## at2AtomicNum

int ForceFields::UFF::InversionContribsParams::at2AtomicNum {0}

atomic number for atom 2

Definition at line 25 of file Inversions.h.

Referenced by InversionContribsParams().

## C0

double ForceFields::UFF::InversionContribsParams::C0 {0.0}

inversion coefficient 0

Definition at line 28 of file Inversions.h.

Referenced by InversionContribsParams().

## C1

double ForceFields::UFF::InversionContribsParams::C1 {0.0}

inversion coefficient 1

Definition at line 29 of file Inversions.h.

Referenced by InversionContribsParams().

## C2

double ForceFields::UFF::InversionContribsParams::C2 {0.0}

inversion coefficient 2

Definition at line 30 of file Inversions.h.

Referenced by InversionContribsParams().

## forceConstant

double ForceFields::UFF::InversionContribsParams::forceConstant {1.0}

force constant

Definition at line 31 of file Inversions.h.

Referenced by InversionContribsParams().

## idx1

unsigned int ForceFields::UFF::InversionContribsParams::idx1 {0}

index of atom1 in the ForceField's positions

Definition at line 21 of file Inversions.h.

Referenced by InversionContribsParams().

## idx2

unsigned int ForceFields::UFF::InversionContribsParams::idx2 {0}

index of atom2 in the ForceField's positions

Definition at line 22 of file Inversions.h.

Referenced by InversionContribsParams().

## idx3

unsigned int ForceFields::UFF::InversionContribsParams::idx3 {0}

index of atom3 in the ForceField's positions

Definition at line 23 of file Inversions.h.

Referenced by InversionContribsParams().

## idx4

unsigned int ForceFields::UFF::InversionContribsParams::idx4 {0}

index of atom4 in the ForceField's positions

Definition at line 24 of file Inversions.h.

Referenced by InversionContribsParams().

## isCBoundToO

bool ForceFields::UFF::InversionContribsParams::isCBoundToO {false}

boolean flag; true if atom 2 is sp2 carbon bound to sp2 oxygen

Definition at line 26 of file Inversions.h.

Referenced by InversionContribsParams().

The documentation for this struct was generated from the following file:

- Inversions.h